Subject: bug#31953: feature request - `highlight-rx` interactively

From: Juri Linkov <[email-masked]>
Date: Mon, 04 Nov 2019 00:27:37 +0200

> If this is something we want (and I don't really envision people
> willingly typing in rx forms interactively), then it should be fixed
> in `read-regexp'.

Yep, `read-regexp' would be the right place to implement this.
Then like `read-from-minibuffer' has the arg `READ':

  If fourth arg READ is non-nil, interpret the result as a Lisp object
    and return that object:
    in other words, do ‘(car (read-from-string INPUT-STRING))’

`read-regexp' could have the same arg.